Name:           python-openapi-core
Version:        0.19.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        client-side and server-side support for the OpenAPI Specification v3

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/python-openapi/openapi-core
Source:         %{pypi_source openapi_core}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'openapi-core' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-openapi-core
Summary:        %{summary}

%description -n python3-openapi-core %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-openapi-core aiohttp,django,falcon,fastapi,flask,requests,starlette


%prep
%autosetup -p1 -n openapi_core-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x aiohttp,django,falcon,fastapi,flask,requests,starlette


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-openapi-core -f %{pyproject_files}


%changelog
%autochangelog